package com.qmth.themis.business.bean.exam;

import com.qmth.themis.business.enums.FinishExamResultEnum;
import com.qmth.themis.business.enums.ReviewResultEnum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel("结束考试返回信息")
public class ExamFinishBean implements Serializable {

	@ApiModelProperty("finishTime")
	private Long finishTime;

	@ApiModelProperty("交卷后状态")
	private FinishExamResultEnum status;

	@ApiModelProperty("客观分")
	private Double objectiveScore;

	@ApiModelProperty("审核结果")
	private ReviewResultEnum reviewResult;

	@ApiModelProperty(name = "考后说明")
	private String postNotice;//考后说明，针对一个场次进行设置

	public Long getFinishTime() {
		return finishTime;
	}

	public void setFinishTime(Long finishTime) {
		this.finishTime = finishTime;
	}

	public FinishExamResultEnum getStatus() {
		return status;
	}

	public void setStatus(FinishExamResultEnum status) {
		this.status = status;
	}

	public Double getObjectiveScore() {
		return objectiveScore;
	}

	public void setObjectiveScore(Double objectiveScore) {
		this.objectiveScore = objectiveScore;
	}

	public ReviewResultEnum getReviewResult() {
		return reviewResult;
	}

	public void setReviewResult(ReviewResultEnum reviewResult) {
		this.reviewResult = reviewResult;
	}

	public String getPostNotice() {
		return postNotice;
	}

	public void setPostNotice(String postNotice) {
		this.postNotice = postNotice;
	}
}
